Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.image
Class ParticleAnalysisReport

    java.lang.Object
      edu.wpi.first.wpilibj.image.ParticleAnalysisReport

    public class ParticleAnalysisReport

extends Object

Class to store commonly used information about a particle.

Author:
  dtjones

Field Summary
`int` | `boundingRectHeight` Bounding Rectangle
`int` | `boundingRectLeft` Bounding Rectangle
`int` | `boundingRectTop` Bounding Rectangle
`int` | `boundingRectWidth` Bounding Rectangle
`int` | `center_mass_x` X-coordinate of the point representing the average position of the total particle mass, assuming every point in the particle has a constant density
`double` | `center_mass_x_normalized` Center of mass x value normalized to -1.0 to +1.0 range.
`int` | `center_mass_y` Y-coordinate of the point representing the average position of the total particle mass, assuming every point in the particle has a constant density
`double` | `center_mass_y_normalized` Center of mass y value normalized to -1.0 to +1.0 range.
`int` | `imageHeight` The height of the image in pixels.
`int` | `imageWidth` The width of the image in pixels.
`double` | `particleArea` Area of the particle
`double` | `particleQuality` Percentage of the particle Area in relation to its Particle and Holes Area
`double` | `particleToImagePercent` Percentage of the particle Area covering the Image Area.

Method Summary
`String` | `toString()` Get string representation of the particle analysis report.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### imageHeight

    public final int imageHeight

  The height of the image in pixels.

### imageWidth

    public final int imageWidth

  The width of the image in pixels.

### center_mass_x

    public final int center_mass_x

  X-coordinate of the point representing the average position of the total particle mass, assuming every point in the particle has a constant density

### center_mass_y

    public final int center_mass_y

  Y-coordinate of the point representing the average position of the total particle mass, assuming every point in the particle has a constant density

### center_mass_x_normalized

    public final double center_mass_x_normalized

  Center of mass x value normalized to -1.0 to +1.0 range.

### center_mass_y_normalized

    public final double center_mass_y_normalized

  Center of mass y value normalized to -1.0 to +1.0 range.

### particleArea

    public final double particleArea

  Area of the particle

### boundingRectLeft

    public final int boundingRectLeft

  Bounding Rectangle

### boundingRectTop

    public final int boundingRectTop

  Bounding Rectangle

### boundingRectWidth

    public final int boundingRectWidth

  Bounding Rectangle

### boundingRectHeight

    public final int boundingRectHeight

  Bounding Rectangle

### particleToImagePercent

    public final double particleToImagePercent

  Percentage of the particle Area covering the Image Area.

### particleQuality

    public final double particleQuality

  Percentage of the particle Area in relation to its Particle and Holes Area

Method Detail

### toString

    public String toString()

  Get string representation of the particle analysis report.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of the particle analysis report.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"